local ACD = LibStub("AceConfigDialog-3.0")


local function GetOptions()
	if not nanoTalk.options then
		nanoTalk.options = {
			type = "group",
			name = "nanoTalk",
			args = {
				General = {
					order = 1,
					type = "group",
					name = "General Settings",
					desc = "General Settings",
					args = {
						talktime = {
							type = "range",
							name = "Conversation Timer",
							desc = "How many minutes you will be considered to be in a conversation.",
							width = "full",
							min = 1,
							max = 10,
							step = 1,
							order = 100,
							get = function()
								      return db.TalkTime
							      end,
							set = function(info, v)
								      db.TalkTime = v
							      end
						},
						tracktime = {
							type = "range",
							name = "Tracking Timer",
							desc = "How many minutes to track people who have sent you a message.",
							width = "full",
							min = 1,
							max = 120,
							step = 1,
							order = 110,
							get = function()
								      return db.TrackTime
							      end,
							set = function(info, v)
								      db.TrackTime = v
							      end
						},
						tracknum = {
							type = "range",
							name = "People to Track",
							desc = "Maximum number of people to track.",
							width = "full",
							min = 0,
							max = 30,
							step = 1,
							order = 120,
							get = function()
								      return db.TrackNum
							      end,
							set = function(info, v)
								      db.TrackNum = v
							      end
						},
						chatnotify = {
							type = "toggle",
							name = "Chat Notification",
							desc = "Notify others when you are in a conversation.",
							order = 130,
							get = function()
								      return db.ChatNotify
							      end,
							set = function(info, v)
								      db.ChatNotify = v
							      end
						},
						afknotify = {
							type = "toggle",
							name = "AFK Notification",
							desc = "Notify others when you are AFK.",
							order = 140,
							get = function()
								      return db.NotifyAFK
							      end,
							set = function(info, v)
								      db.NotifyAFK = v
							      end
						},
					},
				},
			},
		}
	end
	return nanoTalk.options
end


function nanoTalk:SetupOptions()
	self.optionsFrames = {}

	LibStub("AceConfigRegistry-3.0"):RegisterOptionsTable("nanoTalk", GetOptions())
--	LibStub("AceConfig-3.0"):RegisterOptionsTable("nanoTalk", GetOptions(), "nanotalk")

	self.optionsFrames.nanoTalk = ACD:AddToBlizOptions("nanoTalk", nil, nil, "General")
	LibStub("tekKonfig-AboutPanel").new("nanoTalk", "nanoTalk")
end
